Zebre Parma vs Dragons RFC · EPCR Challenge Cup
EPCR Challenge Cup · 2025-26Afgelopen

32–35

Wedstrijdverslag
Dragons RFC versloeg Zebre Parma met 35-32, uit in Parma (Stadio Sergio Lanfranchi), op zaterdag 11 april 2026 (EPCR Challenge Cup, kwartfinales).
Het is de 3e zege op rij voor Dragons RFC.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
4
Zebre Parma gewonnen (44%)
0
Gelijk (0%)
5
Dragons RFC gewonnen (56%)
Laatste 9 onderlinge duels, sinds oktober 2020
Grootste zege Zebre Parma
26–15
27 feb 2021
Grootste zege Dragons RFC
47–7
29 okt 2022
Laatste 5 duels
- 24 apr 2026 · United Rugby ChampionshipZebre Parma18Dragons RFC1924 apr 2026Zebre Parma18–19Dragons RFCUnited Rugby Championship
- 11 apr 2026 · Challenge CupZebre Parma32Dragons RFC3511 apr 2026Zebre Parma32–35Dragons RFCChallenge Cup
- 28 feb 2025 · United Rugby ChampionshipZebre Parma31Dragons RFC2128 feb 2025Zebre Parma31–21Dragons RFCUnited Rugby Championship
- 29 mrt 2024 · United Rugby ChampionshipDragons RFC20Zebre Parma1329 mrt 2024Dragons RFC20–13Zebre ParmaUnited Rugby Championship
- 13 jan 2024 · Challenge CupZebre Parma20Dragons RFC1713 jan 2024Zebre Parma20–17Dragons RFCChallenge Cup
Opstellingen
Gem. leeftijd
26.1
Gem. leeftijd
27.8
Zebre Parma
- 1Muhamed Hasa(25)
- 2Tommaso Di Bartolomeo(25)
- 3Ion Neculai(25)
- 4Matteo Canali(28)
- 5Leonard Krumov(30)
- 6Alessandro Ortombina(24)
- 7Bautista Stavile Bravin(29)
- 8David Odiase(23)
- 9Gonzalo Garcia(27)
- 10Giacomo Da Re(27)
- 11Jacopo Trulla(26)
- 12Marco Zanon(29)
- 13Giulio Bertaccini(25)
- 14Mirko Belloni(22)
- 15Giovanni Montemauri(26)
Wissels
- 16Giovanni Quattrini(23)
- 17Luca Franceschetto(27)
- 18Juan Pitinari(31)
- 19Giacomo Ferrari(24)
- 20Giovanni Licata(29)
- 21Alessandro Fusco(27)
- 22Damiano Mazza(27)
- 23Samuele Locatelli(25)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Brodie Coghlan(25)
- 3Christian Coleman(28)
- 4Ryan Woodman(22)
- 5Ben Carter(25)
- 6Harrison Keddie(30)
- 7Thomas Young(34)
- 8Aaron Wainwright(29)
- 9Niall Armstrong(27)
- 10Marthinus Herbert De Beer(30)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fine Inisi(28)
- 14David Richards(27)
- 15Angus O'Brien(32)
Wissels
- 16Elliot Dee(32)
- 17Wyn Jones(34)
- 18Owain James(21)
- 19Seb Davies(30)
- 20Shane Lewis-Hughes(29)
- 21Morgan Lloyd(24)
- 22Fetuli Paea(32)
- 23Huw Anderson(22)